﻿-- "Set scan off" turns off substitution variables. 
SET scan OFF; 
SET define OFF;

ALTER TABLE JEFY_ADMIN.exercice  ADD CONSTRAINT UNQ_EXERCICE_EXE_EXERCICE
 UNIQUE (EXE_EXERCICE)  DEFERRABLE  INITIALLY DEFERRED USING INDEX 
 TABLESPACE GFC_INDX  ENABLE  VALIDATE;
 
 
 
 
 
CREATE OR REPLACE FORCE VIEW JEFY_ADMIN.V_ADRESSE
(ADR_ORDRE, HABITANT_CHEZ, NO_VOIE, BIS_TER, C_VOIE, 
 NOM_VOIE, LOCALITE, CODE_POSTAL, VILLE, C_PAYS, 
 CP_ETRANGER, C_IMPLANTATION, D_DEB_VAL, D_FIN_VAL, ADR_ADRESSE1, 
 ADR_ADRESSE2, ADR_BP, ADR_URL_PERE, ADR_URL_RELATIVE, ADR_URL_TEMPLATE, 
 ADR_LISTE_ROUGE, D_CREATION, D_MODIFICATION, TEM_PAYE_UTIL)
AS 
SELECT 
ADR_ORDRE, HABITANT_CHEZ, NO_VOIE, 
   BIS_TER, C_VOIE, NOM_VOIE, 
   LOCALITE, CODE_POSTAL, VILLE, 
   C_PAYS, CP_ETRANGER, C_IMPLANTATION, 
   D_DEB_VAL, D_FIN_VAL, ADR_ADRESSE1, 
   ADR_ADRESSE2, ADR_BP, ADR_URL_PERE, 
   ADR_URL_RELATIVE, ADR_URL_TEMPLATE, ADR_LISTE_ROUGE, 
   D_CREATION, D_MODIFICATION, TEM_PAYE_UTIL
FROM GRHUM.ADRESSE;
/

CREATE OR REPLACE FORCE VIEW JEFY_ADMIN.V_REPART_PERSONNE_ADRESSE
(PERS_ID, ADR_ORDRE, E_MAIL, RPA_PRINCIPAL, RPA_VALIDE, 
 TADR_CODE, D_CREATION, D_MODIFICATION)
AS 
SELECT 
PERS_ID, ADR_ORDRE, E_MAIL, 
   RPA_PRINCIPAL, RPA_VALIDE, TADR_CODE, 
   D_CREATION, D_MODIFICATION
FROM GRHUM.REPART_PERSONNE_ADRESSE;
/

CREATE OR REPLACE FORCE VIEW JEFY_ADMIN.V_PAYS
(C_PAYS, LL_PAYS, LC_PAYS, L_NATIONALITE, D_DEB_VAL, 
 D_FIN_VAL, D_CREATION, D_MODIFICATION, CODE_ISO)
AS 
SELECT 
C_PAYS, LL_PAYS, LC_PAYS, 
   L_NATIONALITE, D_DEB_VAL, D_FIN_VAL, 
   D_CREATION, D_MODIFICATION, CODE_ISO
FROM GRHUM.PAYS;
/



CREATE OR REPLACE  VIEW JEFY_ADMIN.V_STRUCTURE_ULR
(C_STRUCTURE, PERS_ID, LL_STRUCTURE, LC_STRUCTURE, C_TYPE_STRUCTURE,
C_STRUCTURE_PERE, C_TYPE_ETABLISSEMEN, TEM_VALIDE, GRP_RESPONSABLE)
AS
select C_STRUCTURE, PERS_ID, LL_STRUCTURE, LC_STRUCTURE, C_TYPE_STRUCTURE, C_STRUCTURE_PERE, C_TYPE_ETABLISSEMEN, tem_valide , grp_responsable from grhum.structure_ulr st
where tem_valide='O' and (c_type_structure in ('C','CS','E','ES') or c_structure in (select c_structure from grhum.repart_type_groupe where tgrp_code='LB'));

GRANT REFERENCES, SELECT ON  JEFY_ADMIN.V_STRUCTURE_ULR TO ACCORDS; 
/ 
 
-----------------------------------------------------------------------------
INSERT INTO jefy_admin.TYPAP_VERSION ( TYAV_ID, TYAP_ID, TYAV_TYPE_VERSION, TYAV_VERSION, TYAV_DATE,
TYAV_COMMENT ) VALUES ( 
jefy_admin.TYPAP_VERSION_seq.NEXTVAL, 1, 'BD', '1.1.2',  SYSDATE, '');

COMMIT;  